"""Calculate the LDOS in the center of a MoS2 quantum dot"""
from pybinding.repository import group6_tmd

model = pb.Model(group6_tmd.monolayer_3band("MoS2"),
                 pb.regular_polygon(6, 20))

kpm = pb.kpm(model)
energy = np.linspace(-1, 3.8, 500)
broadening = 0.05
position = [0, 0]

plt.figure(figsize=(6.7, 2.3))

plt.subplot(121, title="Reduced -- sum of all orbitals")
ldos = kpm.calc_ldos(energy, broadening, position)
ldos.plot(color="C1")

plt.subplot(122, title="Individual orbitals")
ldos = kpm.calc_ldos(energy, broadening, position, reduce=False)
ldos.plot()